> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.payroc.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.payroc.com/_mcp/server.

# Update funding account

PUT https://api.payroc.com/v1/funding-accounts/{fundingAccountId}
Content-Type: application/json

> **Important:** You can't update the details of a funding account that is associated with a processing account.  

Use this method to update the details of a funding account that is associated with a funding recipient.  

To update a funding account, you need its fundingAccountId. Our gateway returned the fundingAccountId when you created the funding account.  

**Note:** If you don’t have the fundingAccountId, use our [List Funding Accounts](https://docs.payroc.com/api/schema/funding/funding-accounts/list) method to search for the funding account.  

You can update the following details about the funding account: 
-	Account type. 
-	Account holder's name. 
-	ACH information for the account. 


Reference: https://docs.payroc.com/api/schema/funding/funding-accounts/update

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.payroc.com/v1` (Production, default)
- `https://api.uat.payroc.com/v1` (UAT)

## Request

### Path parameters

- `fundingAccountId` (integer, required) — Unique identifier of the funding account.

### Body (application/json)

This endpoint expects an object.

- `type` (enum, required) — Type of funding account.
  - Allowed values: `checking`, `savings`, `generalLedger`
- `use` (enum, required) — Indicates if we send funds or withdraw funds from the account. - `credit` - Send funds to the account. - `debit` - Withdraw funds from the account. - `creditAndDebit` - Send funds and withdraw funds from the account. **Note:** If the funding account is associated with a funding recipient, we accept only a value of `credit`.
  - Allowed values: `credit`, `debit`, `creditAndDebit`
- `nameOnAccount` (string, required) — Name of the account holder.
- `paymentMethods` (list of object, required) — Array of paymentMethod objects.
  - `type`: `ach` (ACH payment method)
    - `value` (object, optional) — Object that contains information about the funding account.
      - `routingNumber` (string, required) — Routing number of the funding account.
      - `accountNumber` (string, required) — Account number of the funding account.
- `fundingAccountId` (integer, optional) — Unique identifier that we assigned to the funding account.
- `createdDate` (datetime, optional) — Date and time that we received your request to create the funding account in our system.
- `lastModifiedDate` (datetime, optional) — Date and time that the funding account was last modified.
- `status` (enum, optional) — Status of the funding account. The value is one of the following: - `approved` - We approved the funding account. - `rejected` - We rejected the funding account. - `pending` - We have not yet approved the funding account. - `hold` - Our Risk team have temporarily placed a hold on the funding account.
  - Allowed values: `approved`, `rejected`, `pending`, `hold`
- `metadata` (map from string to string, optional) — [Metadata](https://docs.payroc.com/api/metadata) object you can use to include custom data with your request.
- `links` (list of object, optional) — Array of HATEOAS links.
  - `rel` (string, required) — Indicates the relationship between the current resource and the target resource.
  - `method` (string, required) — HTTP method that you need to use with the target resource.
  - `href` (string, required) — URL of the target resource.

## Response

### 204

Successful request. We updated the funding account.

## Errors

### 400 Bad Request Error

Validation errors

- `type` (string, required) — URI reference identifying the problem type
- `title` (string, required) — Short description of the issue.
- `status` (integer, required) — Http status code
- `detail` (string, required) — Explanation of the problem
- `errors` (list of object, optional)
  - `message` (string, optional) — Error message

### 401 Unauthorized Error

Identity could not be verified

- `type` (string, required) — URI reference identifying the problem type
- `title` (string, required) — Short description of the issue.
- `status` (integer, required) — Http status code
- `detail` (string, required) — Explanation of the problem

### 403 Forbidden Error

Do not have permissions to perform this action

- `type` (string, required) — URI reference identifying the problem type
- `title` (string, required) — Short description of the issue.
- `status` (integer, required) — Http status code
- `detail` (string, required) — Explanation of the problem
- `instance` (string, optional) — Resource path the action was attempted on
- `resource` (string, optional) — Resource the action was attempted on

### 404 Not Found Error

Resource not found

- `type` (string, required) — URI reference identifying the problem type
- `title` (string, required) — Short description of the issue.
- `status` (integer, required) — Http status code
- `detail` (string, required) — Explanation of the problem
- `resource` (string, optional) — Resource that was not found

### 406 Not Acceptable Error

Not acceptable

- `type` (string, required) — URI reference identifying the problem type
- `title` (string, required) — Short description of the issue.
- `status` (integer, required) — Http status code
- `detail` (string, required) — Explanation of the problem

### 500 Internal Server Error

An error has occured

- `type` (string, required) — URI reference identifying the problem type
- `title` (string, required) — Short description of the issue.
- `status` (integer, required) — Http status code
- `detail` (string, required) — Explanation of the problem
- `errors` (list of object, optional)
  - `message` (string, optional) — Error message

## Examples

**Request**

```json
{
  "type": "savings",
  "use": "credit",
  "nameOnAccount": "Fred Nerk",
  "paymentMethods": [
    {
      "type": "ach",
      "value": {
        "routingNumber": "123123123",
        "accountNumber": "987654321"
      }
    }
  ],
  "metadata": {
    "responsiblePerson": "Jane Doe"
  }
}
```

**SDK Code**

```python Update funding account
import requests

url = "https://api.payroc.com/v1/funding-accounts/123"

payload = {
    "type": "savings",
    "use": "credit",
    "nameOnAccount": "Fred Nerk",
    "paymentMethods": [
        {
            "type": "ach",
            "value": {
                "routingNumber": "123123123",
                "accountNumber": "987654321"
            }
        }
    ],
    "metadata": { "responsiblePerson": "Jane Doe" }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update funding account
const url = 'https://api.payroc.com/v1/funding-accounts/123';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"type":"savings","use":"credit","nameOnAccount":"Fred Nerk","paymentMethods":[{"type":"ach","value":{"routingNumber":"123123123","accountNumber":"987654321"}}],"metadata":{"responsiblePerson":"Jane Doe"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update funding account
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.payroc.com/v1/funding-accounts/123"

	payload := strings.NewReader("{\n  \"type\": \"savings\",\n  \"use\": \"credit\",\n  \"nameOnAccount\": \"Fred Nerk\",\n  \"paymentMethods\": [\n    {\n      \"type\": \"ach\",\n      \"value\": {\n        \"routingNumber\": \"123123123\",\n        \"accountNumber\": \"987654321\"\n      }\n    }\n  ],\n  \"metadata\": {\n    \"responsiblePerson\": \"Jane Doe\"\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update funding account
require 'uri'
require 'net/http'

url = URI("https://api.payroc.com/v1/funding-accounts/123")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"type\": \"savings\",\n  \"use\": \"credit\",\n  \"nameOnAccount\": \"Fred Nerk\",\n  \"paymentMethods\": [\n    {\n      \"type\": \"ach\",\n      \"value\": {\n        \"routingNumber\": \"123123123\",\n        \"accountNumber\": \"987654321\"\n      }\n    }\n  ],\n  \"metadata\": {\n    \"responsiblePerson\": \"Jane Doe\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Update funding account
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.payroc.com/v1/funding-accounts/123")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"type\": \"savings\",\n  \"use\": \"credit\",\n  \"nameOnAccount\": \"Fred Nerk\",\n  \"paymentMethods\": [\n    {\n      \"type\": \"ach\",\n      \"value\": {\n        \"routingNumber\": \"123123123\",\n        \"accountNumber\": \"987654321\"\n      }\n    }\n  ],\n  \"metadata\": {\n    \"responsiblePerson\": \"Jane Doe\"\n  }\n}")
  .asString();
```

```php Update funding account
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.payroc.com/v1/funding-accounts/123', [
  'body' => '{
  "type": "savings",
  "use": "credit",
  "nameOnAccount": "Fred Nerk",
  "paymentMethods": [
    {
      "type": "ach",
      "value": {
        "routingNumber": "123123123",
        "accountNumber": "987654321"
      }
    }
  ],
  "metadata": {
    "responsiblePerson": "Jane Doe"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Update funding account
using RestSharp;

var client = new RestClient("https://api.payroc.com/v1/funding-accounts/123");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"type\": \"savings\",\n  \"use\": \"credit\",\n  \"nameOnAccount\": \"Fred Nerk\",\n  \"paymentMethods\": [\n    {\n      \"type\": \"ach\",\n      \"value\": {\n        \"routingNumber\": \"123123123\",\n        \"accountNumber\": \"987654321\"\n      }\n    }\n  ],\n  \"metadata\": {\n    \"responsiblePerson\": \"Jane Doe\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update funding account
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "type": "savings",
  "use": "credit",
  "nameOnAccount": "Fred Nerk",
  "paymentMethods": [
    [
      "type": "ach",
      "value": [
        "routingNumber": "123123123",
        "accountNumber": "987654321"
      ]
    ]
  ],
  "metadata": ["responsiblePerson": "Jane Doe"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.payroc.com/v1/funding-accounts/123")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```